Draft Circle

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Circle and the translation is 3% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc 3Points.svg Arc 3Points
Next: Ellipse Draft Ellipse.svg Arrow-right.svg

Draft Circle.svg Draft Circle

Menyplacering
Draft -> Circle
Arbetsbänkar
Draft, Arch
Standard genväg
C I
Introducerad i version
-
Se även
Draft Arc

Description

Beskrivning

Detta verktyg ritar en cirkel genom att fråga efter två punkter, Centrum och radie, genom att välja tangenter, eller någon kombination av dessa.

A Draft Circle can be turned into an arc by setting its DataFirst Angle and DataLast Angle properties to different values.

Draft Circle example.jpg

Draft Circle example.jpg

Usage

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. There are several ways to invoke the command:
    • Press the Draft Circle.svg Draft Circle button.
    • Select the Drafting → Draft Circle.svg Circle option from the menu.
    • Use the keyboard shortcut: C then I.
  2. The Circle task panel opens. See Options for more information.
  3. Pick the first point, the center of the circle, in the 3D view, or type coordinates and press the Draft AddPoint.svg Enter point button.
  4. Pick the second point in the 3D view, or enter a Radius.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Bruk

  • Det primära bruket av cirkelverktyget är att markera två punkter, centrumet och en punkt på omkretsen, vilket definierar radien.
  • Om man trycker ned ALT, så kan du välja en tangent istället för att markera en punkt. Du kan därför konstruera flera cirkeltyper genom att välja en, två eller tre tangenter.
  • Välj en punkt i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT begränsar din nya punkt i relation till föregående punkt.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • Om du trycker på ESC så avbryts funktionen.

Notes

  • A Draft Circle can be edited with the Draft Edit command.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates and radii: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial value of filled mode: Edit → Preferences... → Draft → General settings → Draft tools options → Fill objects with faces whenever possible. Changing the filled mode in a task panel will override this preference for the current FreeCAD session.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle.

Properties

See also: Property editor.

A Draft Circle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DataArea (Area): (read-only) specifies the area of the face of the circle. The value will be 0.0 if DataMake Face if false or the face cannot be created.
  • DataFirst Angle (Angle): specifies the start angle of the circle, normally .
  • DataLast Angle (Angle): specifies the end angle of the circle, normally .
  • DataMake Face (Bool): specifies if the circle makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the DataFirst Angle and DataLast Angle have the same value. Note that and 360° are not considered the same.
  • DataRadius (Length): specifies the radius of the circle.

View

Draft

  • VyPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the circle. This property only works if DataMake Face is true and if VyDisplay Mode is Flat Lines.
  • VyPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

Skriptning

Den skapade cirkeln är ett Del föremå som innehåller en kant med endast ett hörn.

To create a Draft Circle use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Creates a circle object with given radius in millimeters.
    • radius can also be a Part.Edge, whose Curve attribute must be a Part.Circle.
  • If placement is None the circle is created at the origin.
  • If face is True, the circle will make a face, that is, it will appear filled.
  • If startangle and endangle are given in degrees, and have different values, they are used and the object appears as a Draft Arc.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()


Arrow-left.svg Previous: Draft Arc 3Points.svg Arc 3Points
Next: Ellipse Draft Ellipse.svg Arrow-right.svg